<?php
global $wp_query;
$large_first_image = $args['large_first_image'] ?? true;
$post_count = 0;
$query = $args['query'] ?? $wp_query;
if ($query->have_posts()) {
    while ($query->have_posts()) {
        $post_count++;
        $query->the_post();
        get_template_part('content', 'post', ['full_width' => $post_count === 1 && $large_first_image]);
        if ($post_count === ($large_first_image ? 5 : 4)) : ?>
            <?if (function_exists('krutilka_placement')):?>
                <div class="banner-middle desktop">
                    <?=krutilka_placement( 'middle-desktop' );?>
                </div>
                <div class="banner-middle mobile">
                    <?=krutilka_placement( 'middle-mobile' );?>
                </div> 
            <?endif?>       
        <?php endif; ?>
<?php
    }
    wp_reset_postdata();
}
?>